function betfn = betfn(bigthet);
% Uses the results from estse.m to calculate standard errors for
%   gamma1, gamma3, and beta in the model of money's role.
%
% THIS PROGRAM WAS WRITTEN FOR MATLAB BY
%
%   PETER N. IRELAND
%   BOSTON COLLEGE
%   DEPARTMENT OF ECONOMICS
%   140 COMMONWEALTH AVENUE
%   CHESTNUT HILL, MA 02467-3806
%   irelandp@bc.edu
%
%  FINANCIAL SUPPORT FROM THE NATIONAL SCIENCE FOUNDATION UNDER
%    GRANT NO. SES-9985763 IS GRATEFULLY ACKNOWLEDGED.

% omega2 estimated

  omega1 = 1;
  omega2 = bigthet(1);
  gamma2 = bigthet(2);
  psi = 0.1;
  rhor = bigthet(3);
  rhoy = bigthet(4);
  rhop = bigthet(5);
  rhom = 0.00000001;
  lnyss = bigthet(6);
  lnmss = bigthet(7);
  lnpss = bigthet(8);
  lnrss = bigthet(9);
  rhoa = bigthet(10);
  rhoe = bigthet(11);
  rhoz = bigthet(12);
  siga = bigthet(13);
  sige = bigthet(14);
  sigz = bigthet(15);
  sigr = bigthet(16);

% omega2 fixed

%  omega1 = 1;
%  omega2 = 0.25;
%  gamma2 = bigthet(1);
%  psi = 0.1;
%  rhor = bigthet(2);
%  rhoy = bigthet(3);
%  rhop = bigthet(4);
%  rhom = 0.00000001;
%  lnyss = bigthet(5);
%  lnmss = bigthet(6);
%  lnpss = bigthet(7);
%  lnrss = bigthet(8);
%  rhoa = bigthet(9);
%  rhoe = bigthet(10);
%  rhoz = bigthet(11);
%  siga = bigthet(12);
%  sige = bigthet(13);
%  sigz = bigthet(14);
%  sigr = bigthet(15);

% define additional parameters

  yss = exp(lnyss);
  mss = exp(lnmss);
  pss = exp(lnpss);
  rss = exp(lnrss);

  gamma1 = (rss-1+yss*rss*omega2/mss)*(gamma2/omega1);
  gamma3 = 1 - (rss-1)*gamma2;
  bet = pss/rss;

  betfn = [ gamma1 ; gamma3 ; bet ];