% imp.m: Uses the solution found by solv.m to compute impulse
%          responses for the model of money's role.
%
% THIS PROGRAM WAS WRITTEN FOR MATLAB BY
%
%   PETER N. IRELAND
%   BOSTON COLLEGE
%   DEPARTMENT OF ECONOMICS
%   140 COMMONWEALTH AVENUE
%   CHESTNUT HILL, MA 02467-3806
%   irelandp@bc.edu
%
%  FINANCIAL SUPPORT FROM THE NATIONAL SCIENCE FOUNDATION UNDER
%    GRANT NO. SES-9985763 IS GRATEFULLY ACKNOWLEDGED.

% IS shock

  sa = zeros(50,9);
  fa = zeros(50,5);

  evec = [ 100*siga 0 0 0 ]';

  sa(2,:) = (bigw*evec)';
  fa(2,:) = (bigu*sa(2,:)')';

  for t = 3:50

    sa(t,:) = (bigpi*sa(t-1,:)')';
    fa(t,:) = (bigu*sa(t,:)')';

  end

% LM shock

  se = zeros(50,9);
  fe = zeros(50,5);

  evec = [ 0 100*sige 0 0 ]';

  se(2,:) = (bigw*evec)';
  fe(2,:) = (bigu*se(2,:)')';

  for t = 3:50

    se(t,:) = (bigpi*se(t-1,:)')';
    fe(t,:) = (bigu*se(t,:)')';

  end

% supply shock

  sz = zeros(50,9);
  fz = zeros(50,5);

  evec = [ 0 0 100*sigz 0 ]';

  sz(2,:) = (bigw*evec)';
  fz(2,:) = (bigu*sz(2,:)')';

  for t = 3:50

    sz(t,:) = (bigpi*sz(t-1,:)')';
    fz(t,:) = (bigu*sz(t,:)')';

  end

% policy shock

  sr = zeros(50,9);
  fr = zeros(50,5);

  evec = [ 0 0 0 100*sigr ]';

  sr(2,:) = (bigw*evec)';
  fr(2,:) = (bigu*sr(2,:)')';

  for t = 3:50

    sr(t,:) = (bigpi*sr(t-1,:)')';
    fr(t,:) = (bigu*sr(t,:)')';

  end

% create output vectors

  aa = sa(:,6);
  ea = sa(:,7);
  za = sa(:,8);
  epsra = sa(:,9);

  ma = fa(:,1);
  ra = fa(:,2);
  mua = fa(:,3);
  ya = fa(:,4);
  pa = fa(:,5);

  ae = se(:,6);
  ee = se(:,7);
  ze = se(:,8);
  epsre = se(:,9);

  me = fe(:,1);
  re = fe(:,2);
  mue = fe(:,3);
  ye = fe(:,4);
  pe = fe(:,5);

  az = sz(:,6);
  ez = sz(:,7);
  zz = sz(:,8);
  epsrz = sz(:,9);

  mz = fz(:,1);
  rz = fz(:,2);
  muz = fz(:,3);
  yz = fz(:,4);
  pz = fz(:,5);

  ar = sr(:,6);
  er = sr(:,7);
  zr = sr(:,8);
  epsrr = sr(:,9);

  mr = fr(:,1);
  rr = fr(:,2);
  mur = fr(:,3);
  yr = fr(:,4);
  pr = fr(:,5);